com.mockobjects.sql

## Class MockDataSource

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.sql.CommonMockDataSource
    - - com.mockobjects.sql.MockDataSource

All Implemented Interfaces:
  Verifiable, java.sql.Wrapper, javax.sql.CommonDataSource, javax.sql.DataSource

    public class MockDataSource
    extends CommonMockDataSource

Empty implementation of `CommonMockDataSource`. Implementations for later releases of Java (e.g. 1.4) may include additional members.

Version:
  $Revision: 1.1 $ $Date: 2002/08/27 16:34:03 $
Author:
  Ted Husted
See Also:
  javax.sql.DataSource

### Constructor Summary

Constructors
Constructor and Description
`MockDataSource()`

### Method Summary

### Methods inherited from class com.mockobjects.sql.CommonMockDataSource

`getConnection, getConnection, getLoginTimeout, getLogWriter, setExpectedConnectCalls, setLoginTimeout, setLogWriter, setupConnection`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.CommonDataSource

`getParentLogger`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### MockDataSource

    public MockDataSource()